# Uses of Class
org.eclipse.jface.text.hyperlink.AbstractHyperlinkDetector

Packages that use AbstractHyperlinkDetector
Package
Description
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of AbstractHyperlinkDetector in org.eclipse.jface.text.hyperlink

Subclasses of AbstractHyperlinkDetector in org.eclipse.jface.text.hyperlink
Modifier and Type
Class
Description
`class`
`URLHyperlinkDetector`
URL hyperlink detector.

## Uses of AbstractHyperlinkDetector in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return AbstractHyperlinkDetector
Modifier and Type
Method
Description
`AbstractHyperlinkDetector`
HyperlinkDetectorDescriptor.`createHyperlinkDetector()`
Deprecated.
As of 3.9, replaced by `HyperlinkDetectorDescriptor.createHyperlinkDetectorImplementation()`